Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225992 - Merge Review: libcap
Summary: Merge Review: libcap
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:19 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-16 10:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-16 09:30:05 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:19:38 UTC
Fedora Merge Review: libcap

http://cvs.fedora.redhat.com/viewcvs/devel/libcap/
Initial Owner: karsten@redhat.com

Comment 1 Karsten Hopp 2007-02-21 14:43:38 UTC
libcap-1.10-28 has some common review issues fixed

Comment 2 Parag AN(पराग) 2007-12-07 05:07:05 UTC
can't see license file installed.
cp commands in SPEC should be used as "cp -p"

Comment 3 Parag AN(पराग) 2008-01-11 12:20:14 UTC
ping?

Comment 4 Karsten Hopp 2008-01-14 12:25:30 UTC
diff -r1.27 libcap.spec
3c3
< Release: 30
---
> Release: 31
65c65
< cp %{SOURCE1} doc/
---
> cp -p %{SOURCE1} doc/
76c76
< %doc doc/capability.notes  doc/capfaq-0.2.txt
---
> %doc doc/capability.notes  doc/capfaq-0.2.txt License


Comment 5 Parag AN(पराग) 2008-01-15 03:27:15 UTC
SHOULD:
   1)Though not mandatory you can add disttag.
   2)Remove following
   Requires(post):   /sbin/ldconfig
   Requires(postun): /sbin/ldconfig
   3) Good to have defattr used as now
    %defattr(-,root,root,-)
   4) Correct changelog version.

Sorry that I should I asked this previously before you built new release. Can
you please do that again.

Once above issues fixed in CVS. This package will be approved.


    


Comment 6 Karsten Hopp 2008-01-15 09:42:27 UTC
- I've added disttag
- Why should I remove the requirements ? The package runs ldconfig in post and
postun and needs to require them. Or is there any new guideline that I'm not
aware of ? If so, can you give me a pointer to it ?
- defattr changed to -,root,root,-

new package is libcap-1.10-32.fc9

Comment 7 Parag AN(पराग) 2008-01-15 09:49:42 UTC
(In reply to comment #6)
> - I've added disttag
> - Why should I remove the requirements ? The package runs ldconfig in post and
> postun and needs to require them. Or is there any new guideline that I'm not
> aware of ? If so, can you give me a pointer to it ?
> - defattr changed to -,root,root,-
> 
> new package is libcap-1.10-32.fc9

Thanks.
I saw
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-d0dbcb7eec27622a21df280009c5b089b02f5bef
requirements are not mentioned there and even newer packages that got reviewed
are not using that syntax.

Comment 8 Karsten Hopp 2008-01-15 10:11:45 UTC
You're right, the '%post -p' syntax will get parsed by find-requires and it
isn't necessary to add that requirement manually (although it doesn't do any
harm either)

Comment 9 Parag AN(पराग) 2008-01-16 04:03:36 UTC
(In reply to comment #8)
> You're right, the '%post -p' syntax will get parsed by find-requires and it
> isn't necessary to add that requirement manually (although it doesn't do any
> harm either)

Ok. But I still want you to remove it next time you build this package.

APPROVED.

Comment 10 Karsten Hopp 2008-01-16 09:30:05 UTC
rebuilding such small packages isn't a problem. Fixed in libcap-1.10-33.fc9

Comment 11 Parag AN(पराग) 2008-01-16 10:02:39 UTC
Thanks. 
APPROVED.


Note You need to log in before you can comment on or make changes to this bug.